<?php 
session_start();
include_once '../config.php';
$user_id = $_SESSION['Admin']['id'];
$CurrDate = date('dmY');

if($_REQUEST['action'] == 'Save'){
$FollowDate= addslashes(trim($_REQUEST['FollowDate']));
$ToDate= addslashes(trim($_REQUEST['ToDate']));
$Title = addslashes(trim($_REQUEST['Title']));
$CreatedDate = date('Y-m-d');
$Status = 1;
$ModifiedBy = 0;
$ModifiedDate = null;
/*	$sql = "INSERT INTO tbl_follow_date SET Name='$Name',Amount='$Amount',CreatedBy='$user_id',CreatedDate='$CreatedDate'";
	$conn->query($sql);
	echo 1;*/

  try {
   $sql = "INSERT INTO tbl_follow_date (FollowDate,ToDate,Title) VALUES (:FollowDate,:ToDate,:Title)";
$stmt = $conn->prepare($sql);
$stmt->bindParam(':FollowDate', $FollowDate);
$stmt->bindParam(':ToDate', $ToDate);
$stmt->bindParam(':Title', $Title);
if ($stmt->execute()) {
  echo 1;
}
}
catch (PDOException $e) {
    echo 'Connection failed: ' . $e->getMessage();
}


}

if($_POST['action'] == 'fetch_record'){
 $id = $_POST['id'];
    $query = "SELECT * FROM tbl_follow_date WHERE id = '$id'";
   $row = getRecord($query);
    echo json_encode($row);


}

if($_POST['action'] == 'Edit') {
     $id = $_POST['id'];
$FollowDate = addslashes(trim($_REQUEST['FollowDate']));
$ToDate= addslashes(trim($_REQUEST['ToDate']));
$Title= addslashes(trim($_REQUEST['Title']));
$ModifiedDate = date('Y-m-d');
  try{
  $query2 = "UPDATE tbl_follow_date SET FollowDate='$FollowDate',ToDate='$ToDate',Title='$Title' WHERE id = '$id'";
 	$conn->query($query2);
  echo 1;
  }
catch (PDOException $e) {
    echo 'Connection failed: ' . $e->getMessage();
}
}

  if($_POST['action'] == 'delete') {
   
      $id = $_POST['id'];
      $query = "DELETE FROM tbl_follow_date WHERE id = '$id'";
      $conn->query($query);
      echo "Delete Successfully";

  }

 if($_POST['action']=='view'){?>
<table id="example" class="table table-striped table-bordered dt-responsive nowrap" style="width:100%">
        <thead>
            <tr>
             <th>Sr.No</th>
             <th>Title</th>
             <th>From Date</th>
             <th>To Date</th>
             <th>Action</th>
            </tr>
        </thead>
        <tbody>
          <?php 
 $srno = 1;
  $sql = "SELECT * FROM tbl_follow_date ORDER BY id DESC";
 $rx = getList($sql);
  foreach($rx as $nx){

  ?>
           <tr>
             <td><?php echo $srno; ?></td>
            <td><?php echo $nx['Title'];?></td>
              <td><?php echo date("d/m/Y", strtotime(str_replace('-', '/',$nx['FollowDate']))); ?></td>
         <td><?php echo date("d/m/Y", strtotime(str_replace('-', '/',$nx['ToDate']))); ?></td>
            
             <td><a data-id="<?php echo $nx['id']; ?>" href='javascript:void(0);' data-toggle="tooltip" data-placement="top" title="Edit" data-original-title="Edit" class="update"><i class="lnr lnr-pencil mr-2"></i></a>&nbsp;&nbsp;<a data-id="<?php echo $nx['id']; ?>" href='javascript:void(0);' data-toggle="tooltip" data-placement="top" title="Delete" data-original-title="Delete" class="delete" id="bootbox-confirm"><i class="lnr lnr-trash text-danger"></i></a>
             </td>
            </tr>
             <?php $srno++;} ?>
        </tbody>
    </table>
    <script type="text/javascript">
      $(document).ready(function() {
      $('#example').DataTable( {
        responsive: true
      });
      });
    </script>
 <?php }
 
 
   if($_POST['action'] == 'checkFollowDate') {
       $val = $_POST['val'];
      $sql = "SELECT * FROM tbl_follow_date WHERE '$val' between FollowDate and ToDate";
      $row = getRecord($sql);
      $rncnt = getRow($sql);
      if($rncnt > 0){
        echo $row['Title'];  
      }
      else{
        echo "";  
      }
       
   }
?>